# Vuejs Playground

We all need somewhere to play. This is a simple repo for experiments with the
[Vuejs library](https://vuejs.org/). You should also note that this project is
using the [vue-resource](https://github.com/pagekit/vue-resource) library for
[XMLHttpRequests](https://developer.mozilla.org/en-US/docs/Web/API/XMLHttpRequest).

Other popular libraries to look into experimenting with include:
- [vue-router](https://github.com/vuejs/vue-router) the official router for Vue
- [vuex](https://github.com/vuejs/vuex) the official state management library
- [vue-spinner](http://greyby.github.io/vue-spinner/) a spinner library

For all other awesome Vue related libraries check out the [official currated list]( https://github.com/vuejs/awesome-vue)

## SCSS

You will need [Sass](http://sass-lang.com/) to compile the css used by this project

To compile simply run:

`sass ./scss/app.scss:./css/app.css`

## Development

You will also probably want a dev server like live-server.

`npm install -g live-server`

Alternatively you could just use python but there is no file watch associated
with this option.

`python -m http.server`
